body.mapPage #aboveContent,
body.mapPage #belowContent
{
	display: flex;
	justify-content: center;
	align-items: center;
    position: relative;
    padding: 50px 0 30px 0;
	background: var(--brand-lightgray);
    text-align: center;
}

body.mapPage #belowContent
{
	margin-top: 5em;
}

#aboveContent:after
{
	display: none;
}

#mapWrapper
{
    display: flex;
    justify-content: center;
    /*align-items: center;*/
	flex-direction: column;
    gap: 0px;
    position: relative;
    width: 100%;
    height: 100%;
    background: var(--brand-lightgray);
}

#locationsMap
{
	position: relative;
	/*width: 100%;*/
    padding: 16px;
	box-sizing: border-box;
}

.locationsMap
{
	position: relative;
	width: 100%;
}

.locationsMap svg
{
	display: block;
	width: 110%;
	height: auto;
	margin: 0 auto;
}

@media (min-width: 1025px)
{
	#mapWrapper
	{
		flex-direction: row;
		justify-content: center;
		gap: 80px;
	}

	.locationsMap
	{
		max-width: 785px;
	}
}

.locationsMap path
{
	stroke-width: 1px;
	stroke: white;
	fill: #D1D1D1;
	z-index: 9;
}

.locationsMap g rect
{
	fill: gray;
	visibility: hidden;
}

.locationsMap #Labels *
{
	pointer-events: none;
}

.locationsMap #Labels path
{
	fill: white;
	stroke-width: 0;
	visibility: hidden;
}

.locationsMap #Labels #Detached path
{
	fill: white;
	visibility: hidden;
}

.locationsMap #PR,
.locationsMap #AK,
.locationsMap #HI
{
	visibility: hidden;
}

.locationsMap a.officeLocation path
{
	/*fill: #B5922E;*/
}

.locationsMap a.barLocation path
{
    fill: #09396D;
}

#mapKeyWrapper
{
	position: relative;
	padding: 0px 16px;
	box-sizing: border-box;
}

#mapIntro
{
	font-size: 1.25rem;
    text-align: left;
	border-bottom: 1px solid var(--brand-light-blue);
	padding-bottom: 20px;
}

#mapKey
{
	display: flex;
	justify-content: flex-start;
	align-items: center;
    padding: 0px 0 0px 0;
    gap: 30px;
    text-transform: uppercase;
}

#mapKey > div
{
	display: flex;
	gap: 18px;
	align-items: center;
	margin: 0 0 10px 0;
}

#mapKey > div > span
{
	display: inline-block;
	width: 13px;
	height: 13px;
    border-radius: 13px;
	overflow: hidden;
}

#mapKey > div:first-child > span
{
	background: #FDB82C;
}

#mapKey > div:last-child > span
{
	background: #09396D;
}


#officeAddressBox
{
    padding: 20px 0 0px 0;
	text-align: left;
	font-size: 1.25rem;
}

#officeAddressBox h3
{
	color: var(--brand-dark-blue);
	--min-font-size: 26;
	--max-font-size: 34;
}

.officePin
{
	position: absolute;
	top: 0;
	left: 0;
	width: 13px;
	height: 13px;
	border-radius: 13px;
	background: #FDB82C;
}

#officeAddressBox
{
	height: 150px;
}

.officePlotAddress
{
	position: absolute;
	opacity: 0;
	
	transition: opacity 0.3s ease-in-out;
}
  
#officeAddressBox [id^="officeAddress_"].is-active 
{
	opacity: 1;
}

@media (min-width: 1025px)
{
	#mapKeyWrapper
	{
		max-width: 574px;
	}
}

@media (max-width: 1024px)
{
	.officePlotAddress
	{
		display: none !important;
	}

	#officeAddressBox
	{
		height: 0;
	}
}